import request from '@/utils/request'

// 查询备品备件台账管理列表
export function listSparePartsLedger(query) {
	return request({
		url: '/device/sparePartsLedger/list',
		method: 'get',
		params: query
	});
}

// 查询备品备件台账管理详细
export function getSparePartsLedger(storageId) {
	return request({
		url: '/device/sparePartsLedger/' + storageId,
		method: 'get'
		});
}

// 新增备品备件台账管理
export function addSparePartsLedger(data) {
	return request({
		url: '/device/sparePartsLedger',
		method: 'post',
		data: data
	});
}

// 修改备品备件台账管理
export function updateSparePartsLedger(data) {
	return request({
		url: '/device/sparePartsLedger',
		method: 'put',
		data: data
	});
}

// 删除备品备件台账管理
export function delSparePartsLedger(storageId) {
	return request({
		url: '/device/sparePartsLedger/' + storageId,
		method: 'delete'
	});
}
